* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   font-family: 'Microsoft YaHei', sans-serif;
  }
        
body {
  color: #333;
  line-height: 1.6;
  background-color: #ffffff;
}


.banner-img{
  width: 100%;
  background: url(../images/banner.jpg) center center no-repeat;
  height: 450px;
  image-rendering: crisp-edges;
}

.content-wrap {
    width: 1200px;
    margin: 0 auto;
    padding: 60px 0;
    position: relative;
}

.content-wrap h1.title{
  display: flex;
  justify-content: center;
  gap: 11px;
  align-items: center;
}
.content-wrap h1.title .title-icon{
  color: #fff;
  font-size: 16px;
  font-weight: 600;
  background: url(../images/title-icon-bg.png) center center no-repeat;
  background-size: 100%;
  width: 51px;
  height: 44px;
  text-align: center;
  line-height: 51px;
  font-style: normal;
}
.content-wrap h1.title span{
  font-size: 28px;
  color: #333333;
  font-weight: 600;
}

.content-wrap .sub-title{
  text-align: center;
  font-size: 14px;
  color: #666666;
  margin: 27px 0 41px;
}

.home-nav-placeholder {
  display: none;
}

.home-nav.fixed-top {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 999;
  box-shadow: 0 2px 8px rgba(0,0,0,.12);
  background:#fff;
}
.home-nav.fixed-top + .home-nav-placeholder {
  display: block;
}
.home-nav .nav-list{
  width: 1200px;
  margin: 0 auto;
  height: 61px;
  display: flex;
  justify-content: space-between;
  padding: 0 45px;
  background-color: #fff;
  align-items: center;
}

.home-nav .nav-list li.item{
  display: flex;
  gap: 12px;
  align-items: center;
  cursor: pointer;
}

.home-nav .nav-list li.item .item-icon-active{
  display: none;
}
.home-nav .nav-list li.item.active .item-icon{
  display: none;
}
.home-nav .nav-list li.item.active .item-icon-active{
  display: block;
}


.home-nav .nav-list li.item .item-txt{
  color: #111111;
  font-size: 16px;
}

.home-nav .nav-list li.item.active .item-txt{
  color: #e3281c;
}
.home-nav .nav-list li.item .item-txt em{
  font-size: 18px;
  color: #000000;
  font-weight: 600;
}

.home-nav .nav-list li.item.active .item-txt em {
  color: #e3281c;
}

#sale-one{
  background-color: #e6f2ff;
}

#sale-one .one-product-arr{
  background: url(../images/one-arr-bg.png) center center no-repeat;
  background-size: 100%;
  width: 100%;
  height: 216px;
  padding: 20px 22px 20px 30px;
  display: flex;
  justify-content: space-between;
}


#sale-one .one-product-arr .arr-info{
  padding-top: 9px;
}

#sale-one .one-product-arr .arr-info .info-title{
  font-weight: 600;
  color: #fff;
  font-size: 28px;
  margin-bottom: 5px;
}

#sale-one .one-product-arr .arr-info .info-txt{
  color: #ffffff;
  font-size: 14px;
  line-height: 23px;
  margin-bottom: 18px;
}

#sale-one .one-product-arr .arr-info .info-btn{
  width: 160px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  background-color: #ffffff;
  border-radius: 20px;
  font-size: 16px;
  color: #0256ff;
  display: block;
  overflow: hidden;
  position: relative;
}
#sale-one .one-product-arr .arr-info .info-btn::after{
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 50%;
    height: 100%;
    background: linear-gradient(120deg, transparent 20%, rgba(255, 255, 255, 0.6) 50%, transparent 80%);
    animation: shineMove 4s infinite;
}

@keyframes shineMove {
    0%, 70%, 100% { left: -100%; } 
    40% { left: 150%; }
}


#sale-one .one-product-arr .arr-list{
  width: 780px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 20px;
}

#sale-one .one-product-arr .arr-list li.item{
  width: 380px;
  height: 78px;
  border: 1px solid #ffffff;
  background-color: #e9f1fd;
  padding-left: 40px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

#sale-one .one-product-arr .arr-list li.item::before{
  content: "";
  display: block;
  width: 18px;
  height: 18px;
  background: url(../images/one-right-icon.png) center center no-repeat;
  background-size: 100%;
  position: absolute;
  left: 12px;
  top: 18px;
}

#sale-one .one-product-arr .arr-list li.item h2{
  font-size: 16px;
  color: #111111;
  margin-bottom: 5px;
}

#sale-one .one-product-arr .arr-list li.item p{
  font-size: 12px;
  color: #666666;
}
#sale-one .one-product-arr{
  margin-bottom: 40px;
}

#sale-one .one-product-list{
  display: flex;
  justify-content: space-between;
  gap: 31px;
}

#sale-one .one-product-list li.item{
  width: 382px;
  height: 286px;
  border: 1px solid #ffffff;
  background-color: #ffffff;
  position: relative;
  box-shadow: 0 6px 16px 2px rgba(7, 12, 20, .08);
  border-radius: 4px;
  transition: transform .3s ease-out;
  transform: translateY(0);
}
#sale-one .one-product-list li.item:hover{
  transform: translateY(-12px);
}
#sale-one .one-product-list li.item .item-header{
  width: 100%;
  background: url(../images/one-product-item-headerbg.png) center center no-repeat;
  background-size: 100%;
  padding-left: 28px;
  padding-top: 17px;
  height: 110px;
}

#sale-one .one-product-list li.item .item-header h3{
  color: #191919;
  font-size: 23px;
  font-weight: 600;
  margin-bottom: 3px;
}

#sale-one .one-product-list li.item .item-header p{
  font-size: 17px;
  line-height: 22px;
  background-image: linear-gradient(to right, #2f71fd, #6f58ff);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 600;
}

#sale-one .one-product-list li.item .item-mid{
  padding: 23px 25px 17px;
}

#sale-one .one-product-list li.item .item-mid .mid-tips{
  display: flex;
  justify-content: space-between;
  margin-bottom: 16px;
}

#sale-one .one-product-list li.item .item-mid .mid-tips span{
  padding: 0 9px;
  background-color: #ff6a00;
  border: 1px solid #ff6a00;
  color: #ffffff;
  font-size: 12px;
}
#sale-one .one-product-list li.item .item-mid .mid-tips span:last-child{
  background-color: #ffffff;
  color: #ff6a00;
}

#sale-one .one-product-list li.item .item-mid .mid-price{
  display: flex;
  justify-content: center;
  gap: 23px;
  align-items: baseline
}

#sale-one .one-product-list li.item .item-mid .mid-price .sale-price{
  font-size: 12px;
  color: #fa2a3b;
  position: relative;
}

#sale-one .one-product-list li.item .item-mid .mid-price .sale-price em{
  font-size: 22px;
  font-weight: 600;
}
#sale-one .one-product-list li.item .item-mid .mid-price .sale-price::after{
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: 52%; /* 微调这个百分比上下移动划线，50%正中间，字体偏下就调52% */
  height: 1px;
  background-color: #fa2a3b;
}
#sale-one .one-product-list li.item .item-mid .mid-price .low-price{
  font-size: 12px;
  color: #fa2a3b;
}

#sale-one .one-product-list li.item .item-mid .mid-price .low-price em{
     font-size: 22px;
    color: #fa2a3b;
    font-weight: 600;
    line-height: 40px;
}

#sale-one .one-product-list li.item .item-btn{
  display: block;
  width: 329px;
  height: 44px;
  text-align: center;
  line-height: 44px;
  font-size: 16px;
  color: #ffffff;
  border-radius: 4px;
  background-image: linear-gradient(to right, #734bff, #384fff);
  position: absolute;
  bottom: 26px;
  left: 50%;
  transform: translate(-50%, 0%);
  overflow: hidden;
  z-index: 1;
}

#sale-one .one-product-list li.item .item-btn::after{
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 60%;
    height: 100%;
    background: linear-gradient(
        120deg,
        transparent 20%,
        rgba(255, 255, 255, 0.3) 50%, 
        transparent 80%
    );
    transition: left 0.5s ease;
    z-index: -1;
}


#sale-one .one-product-list li.item .item-btn:hover::after {
  left: 150%; 
}


#sale-two .two-product-info{
  width: 100%;
  height: 136px;
  background: url(../images/two-product-info-bgpng.png) center center no-repeat;
  background-size: 100%;
  padding: 36px 80px 0 35px;
  font-size: 16px;
  line-height: 25px;
  color: #333333;
}

#sale-two .two-product-info em{
    background: linear-gradient(to right, #fee844, #fffce5) no-repeat;
    background-size: 95% 13px;
    padding-bottom: 6px;
    background-position: left bottom;
}

#sale-two  .two-product-detail{
  display: flex;
  justify-content: space-between;
  position: relative;
}


#sale-two  .two-product-detail .two-product-left{
  width: 705px;
  height: 364px;
  background: url(../images/two-product-left-bg.png) center center no-repeat;
  background-size: 100%;
  position: relative;
  z-index: 1;
  box-shadow: 0 -1px 16px 2px rgba(7, 12, 20, .08);
}

#sale-two  .two-product-detail .two-product-left .left-title{
  font-size: 18px;
  color: #ffffff;
  line-height: 24px;
  writing-mode: vertical-rl; /* 竖排，文字从上到下 */
  text-orientation: upright;
  position: absolute;
  left: 26px;
  top: 50%;
  transform: translate(0%, -50%);
  letter-spacing: 6px;
}

#sale-two  .two-product-detail .two-product-left .left-main-title{
  font-size: 22px;
    color: #ffffff;
    position: absolute;
    left: 99px;
    top: 14px;
}

#sale-two  .two-product-detail .two-product-left .left-main-title span{
  font-size: 14px;
  color: #d0f9ff;
}


#sale-two  .two-product-detail .two-product-left .left-list{
  display: flex;
  width: 526px;
  flex-wrap: wrap;
  position: absolute;
  top: 118px;
  left: 126px;
}


#sale-two  .two-product-detail .two-product-left .left-list li.item{
  width: 50%;
  padding-left: 19px;
  position: relative;
  margin-bottom: 12px;
}

#sale-two  .two-product-detail .two-product-left .left-list li.item::before{
  content: "";
  width: 5px;
  height: 5px;
  display: block;
  position: absolute;
  left: 0px;
  top: 50%;
  transform: translate(0%, -50%);
  background-color: #2468f2;
  
}

#sale-two  .two-product-detail .two-product-left .left-list li.item span{
  font-size: 17px;
  color: #333333;
  margin-right: 10px;
}

#sale-two  .two-product-detail .two-product-left .left-list li.item a{
  color: #2468f2;
  font-size: 14px;
}

#sale-two  .two-product-detail .two-product-left .left-list li.item a:hover{
  color: #ff6a00;
   text-shadow: 0 0 5px rgba(255, 255, 255, 0.5);
}
#sale-two  .two-product-detail .two-product-right .right-list{
  display: flex;
  flex-direction: column;
  gap: 22px;
}

#sale-two  .two-product-detail .two-product-right .right-list li.item{
  display: block;
  position: relative;
  width: 461px;
  height: 105px;
  transition: transform .3s ease-out;
  transform: translateY(0);
  box-shadow: 0 6px 16px 2px rgba(7, 12, 20, .08);
}
#sale-two  .two-product-detail .two-product-right .right-list li.item:hover{
  transform: translateY(-12px);
}
#sale-two  .two-product-detail .two-product-right .right-list li.item:first-child{
  background: url(../images/two-product-right-01-bg.png) center center no-repeat;
  background-size: 100%;
  
}
#sale-two  .two-product-detail .two-product-right .right-list li.item:nth-child(2){
  background: url(../images/two-product-right-02-bg.png) center center no-repeat;
  background-size: 100%;

}
#sale-two  .two-product-detail .two-product-right .right-list li.item:last-child{
  background: url(../images/two-product-right-03-bg.png) center center no-repeat;
  background-size: 100%;

}

#sale-two  .two-product-detail .two-product-right .right-list li.item .item-price{
  font-size: 16px;
  color: #ffffff;
  position: absolute;
  left: 37px;
  top: 5px;
}

#sale-two  .two-product-detail .two-product-right .right-list li.item .item-price em{
  font-size: 20px;
  font-weight: 600;
}

#sale-two  .two-product-detail .two-product-right .right-list li.item .item-btn{
  display: block;
  width: 75px;
  height: 21px;
  color: #ffffff;
  text-align: center;
  line-height: 21px;
  font-size: 12px;
   background: linear-gradient(to right, #fa7a92, #fed649) no-repeat;
   position: absolute;
   right: 34px;
   top: 12px;
    border-radius: 5px;
        transition: all 0.3s ease;
}
#sale-two  .two-product-detail .two-product-right .right-list li.item .item-btn:hover{
  text-shadow: 0 0 5px rgba(255, 255, 255, 0.5);
   background: linear-gradient(to left, #fa7a92, #fed649) no-repeat;
}
#sale-two  .two-product-detail .two-product-right .right-list li.item .item-version {
  position: absolute;
  left: 62px;
}
#sale-two  .two-product-detail .two-product-right .right-list li.item .item-version em{
  font-size: 19px;
  color: #333333;
  font-weight: 600;
  font-style: normal;
}

#sale-two  .two-product-detail .two-product-right .right-list li.item .item-version a{
  font-size: 14px;
  color: #286ff3;
  margin-left: 7px;
}

#sale-two  .two-product-detail .two-product-right .right-list li.item .item-version a:hover{
  color: #ff6a00;
}

#sale-two  .two-product-detail .two-product-add-icon{
    position: absolute;
    left: 724px;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
}

#sale-three{
  background-color: #e6f2ff;
}


#sale-three .three-product-info{
  width: 100%;
  height: 125px;
  background: url(../images/three-info-bg.png) center center no-repeat;
  background-size: 100%;
  padding-left: 35px;
  padding-top: 28px;
  font-size: 16px;
  color: #333333;
  margin-top: 40px;
  margin-bottom: 31px;
}

#sale-three .three-product-info p{
  margin-bottom: 7px;
}
#sale-three .three-product-info em{
  background: linear-gradient(to right, #fee844, #fffce5) no-repeat;
    background-size: 95% 13px;
    padding-bottom: 6px;
    background-position: left bottom;

}


#sale-three .three-product-list{
  display: flex;
  justify-content: space-between;
}

#sale-three .three-product-list li.item{
  width: 571px;
  height: 319px;
  padding-top: 16px;
  padding-left: 34px;
  position: relative;
   transition: transform .3s ease-out;
  transform: translateY(0);
}
#sale-three .three-product-list li.item:hover{
   transform: translateY(-12px);
}
#sale-three .three-product-list li.item:first-child{
  background: url(../images/three-item-01-bg.png) center center no-repeat;
  background-size: 100%;
}

#sale-three .three-product-list li.item:last-child{
  background: url(../images/three-item-02-bg.png) center center no-repeat;
  background-size: 100%;
}

#sale-three .three-product-list li.item .item-title{
  font-size: 25px;
  color: #191919;
  font-weight: 600;
  margin-bottom: 9px;
}
#sale-three .three-product-list li.item .item-label{
  position: relative;
}
#sale-three .three-product-list li.item .item-label label{
  margin-left: 5px;
  padding: 0 5px;
  height: 25px;
  line-height: 24px;
  color: #ffffff;
  font-size: 16px;
  background-color: #ff6a00;
  position: relative;
  margin-bottom: 13px;
  display: inline-block;
}
#sale-three .three-product-list li.item .item-label::before{
  content: "";
  display: block;
  height: 25px;
  width: 3px;
  background-color: #ff6a00;
  position: absolute;
  left: 0;
}

#sale-three .three-product-list li.item .item-txt{
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding-bottom: 6px;
}
#sale-three .three-product-list li.item .item-txt::after{
  content: "";
  display: block;
  width: 200px;
  height: 1px;
  background-color: #f2f1f1;
}
#sale-three .three-product-list li.item .item-txt p{
  display: flex;
  align-items: center;
}

#sale-three .three-product-list li.item .item-txt p::before{
  content: "";
  display: block;
  background: url(../images/three-right-icon.png) center center no-repeat;
  background-size: 100%;
  width: 16px;
  height: 16px;
  margin-right: 8px;
}

#sale-three .three-product-list li.item .item-txt p span{
  font-size: 13px;
  color: #666666;
}

#sale-three .three-product-list li.item .item-price{
  font-size: 13px;
  color: #fa2a3b;
}

#sale-three .three-product-list li.item .item-price span{
  margin-left: 27px;
}

#sale-three .three-product-list li.item .item-price em{
  font-size: 24px;
  font-weight: 600;
}


#sale-three .three-product-list li.item a.item-btn{
  display: block;
  width: 100%;
  position: absolute;
  bottom: 0;
  height: 50px;
  line-height: 50px;
  text-align: center;
  color: #ffffff;
  font-size: 16px;
  left: 0;
  background: linear-gradient(to right, #6b4cff, #3f4fff) no-repeat;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  z-index: 1;
  overflow: hidden;
}
#sale-three .three-product-list li.item a.item-btn::after{
   content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 60%;
    height: 100%;
    background: linear-gradient(120deg, transparent 20%, rgba(255, 255, 255, 0.3) 50%,  transparent 80%);
    transition: left 0.5s ease;
    z-index: -1;
}

#sale-three .three-product-list li.item a.item-btn:hover::after{
    left: 150%;
}
#sale-rule{
  background: url(../images/rule-bg.png) top center no-repeat;
  background-color: #f8fafd;
}
#sale-rule .content-wrap{
    padding-top: 36px;
    padding-bottom: 45px;
}
#sale-rule .title span{
    background: linear-gradient(to right, #ffe948, #ffe948) no-repeat;
    background-size: 100% 20px;
    padding-bottom: 0px;
    background-position: left bottom;
    padding: 0 7px;
}

#sale-rule .rule-detail{
 margin-top: 25px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  padding-left: 242px;
}

#sale-rule .rule-detail p{
  color: #333333;
  font-size: 14px;
}

#sale-footer{
  padding: 40px 0 38px;
  background: url(../images/foot-bg.png) center center no-repeat;
}

#sale-footer .footer-detial{
  width: 1200px;
  margin: 0 auto;
}


#sale-footer .footer-detial .footer-txt{
    margin-top: 19px;
    display: flex;
    height: 40px;
    align-items: center;
    background-color: #ff6a00;
    padding: 0 16px;
    border-radius: 22px;
    color: #ffffff;
    font-size: 22px;
    width: 452px;
    text-align: center;
    justify-content: space-between;
}

#sale-footer .footer-detial .footer-txt a{
  display: block;
  height: 29px;
  line-height: 29px;
  background-color: #ffffff;
  border-radius: 15px;
  padding: 0 9px;
  font-size: 17px;
  color: #ff6a00;
  transition: all 0.3s ease;
}

#sale-footer .footer-detial .footer-txt a:hover{
  background-color: #fdf3f3;
  text-shadow: 0 0 5px rgba(255, 255, 255, 0.5);
}

.activity-tips{
 display: flex;
 align-items: center;
 flex-direction: column;
 padding: 50px 0;
}

.activity-tips p{
  font-size: 24px;
  font-weight: 600;
  color: #191919;
}

.activity-tips a{
    width: 189px;
    height: 41px;
    text-align: center;
    line-height: 41px;
    font-size: 13px;
    color: #ffffff;
    background-color: #191919;
    border-radius: 26px;
    margin-top: 19px;
}

.activity-tips a:hover{
  background-color: #595959;
}